---
search:
  tags:
    - Third-Party Link
    - PATCH
seo:
  description: >-
    Updates the properties (title,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/third-party-links/{third_party_link_id}
    endpoint in the Management API.
sidebar:
  label: Update a third-party link
  badge: PATCH
title: Update a third-party link
type: openapi-operation
---
Updates the properties (title, type, or URL) of an existing third-party link

`PATCH /api/v1/{team_slug}/{app_slug}/third-party-links/{third_party_link_id}`

**Request body** (`application/json`, required)

Third-party link update data

- `title` (string)
- `type` (string)
- `url` (string)

Request body example:

```json
{
  "title": "string",
  "type": "image",
  "url": "string"
}
```

**Responses**

- `200` — Third-party link updated successfully
- `400` — Invalid request (e.g., bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Third-party link not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string",
    "url": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
